E-MailRelay

Namespaces | Functions
gpop.h File Reference
`#include "gdef.h"`
`#include "gpopstore.h"`
`#include "gpopserver.h"`
`#include "gsecrets.h"`
`#include "geventstate.h"`
`#include "gpath.h"`
`#include <memory>`
Include dependency graph for gpop.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | GPop
| POP3 classes.

## Functions
bool | GPop::enabled () noexcept
| Returns true if pop code is built in. More...
std::unique_ptr< Store > | GPop::newStore (const G::Path &spool_dir, const Store::Config &)
| Creates a new Pop::Store. More...
std::unique_ptr< GAuth::SaslServerSecrets > | GPop::newSecrets (const std::string &path)
| Creates a new SaslServerSecrets for newStore(). More...
std::unique_ptr< Server > | GPop::newServer (GNet::EventState, Store &, const GAuth::SaslServerSecrets &, const Server::Config &)
| Creates a new server. More...
void | GPop::report (const Server *, const std::string &group={})
| Calls GPop::Server::report(). More...